Bug 252390 - x11-fonts/league-gothic: Update to 1.601
Summary: x11-fonts/league-gothic: Update to 1.601
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/theleagueof/league...
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2021-01-03 21:07 UTC by Florian Limberger
Modified: 2021-04-06 11:54 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update x11-fonts/league-gothic to 1.601 (2.26 KB, patch)
2021-01-03 21:07 UTC, Florian Limberger
no flags Details | Diff
Patch to update x11-fonts/league-gothic to 1.601 (2.24 KB, patch)
2021-01-05 16:57 UTC, Florian Limberger
flo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Limberger 2021-01-03 21:07:37 UTC
Created attachment 221252 [details]
Patch to update x11-fonts/league-gothic to 1.601

Update the port x11-fonts/league-gothic to version 1.601.
Upstream removed the .otf files from the repository, so the Makefile was updated to download the release archive.
Comment 1 Automation User 2021-01-03 21:28:43 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/236822201
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-04 17:55:23 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: 
 Makefile: EXTRACT_SUFX is ".tar.xz". Please use USES=tar:xz instead.
 PORTREVISION should be removed

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Thanks!
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-04 17:57:12 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: 
 Makefile: EXTRACT_SUFX is ".tar.xz". Please use USES=tar:xz instead.
 PORTREVISION should be removed

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Thanks!
Comment 4 Florian Limberger 2021-01-05 16:57:48 UTC
Created attachment 221294 [details]
Patch to update x11-fonts/league-gothic to 1.601

New patch does now pass portlint and poudriere testport checks.
Comment 5 commit-hook freebsd_committer 2021-04-06 11:50:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ab8a59366f5a75f0f28e09719c0dfdea6216fdb4

commit ab8a59366f5a75f0f28e09719c0dfdea6216fdb4
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-06 11:28:40 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-06 11:47:03 +0000

    x11-fonts/league-gothic: Update to 1.601

    ChangeLog: https://github.com/theleagueof/league-gothic/releases/tag/1.601

    PR:     252390
    Submitted by: flo@snakeoilproductions.net (maintainer)
    Reported by:
    Reviewed by:
    Approved by:
    Obtained from:
    MFC after:
    MFH:
    Relnotes:
    Security:
    Sponsored by:
    Differential Revision:

 x11-fonts/league-gothic/Makefile  | 19 ++++++++++++-------
 x11-fonts/league-gothic/distinfo  |  6 +++---
 x11-fonts/league-gothic/pkg-plist |  2 +-
 3 files changed, 16 insertions(+), 11 deletions(-)
Comment 6 Fernando Apesteguía freebsd_committer 2021-04-06 11:54:01 UTC
Committed,

Thanks!